Package io.flutter.app

# Class FlutterFragmentActivity

java.lang.Object
android.content.Context
android.content.ContextWrapper
android.view.ContextThemeWrapper
android.app.Activity
androidx.core.app.ComponentActivity
androidx.activity.ComponentActivity
androidx.fragment.app.FragmentActivity
io.flutter.app.FlutterFragmentActivity

All Implemented Interfaces:
  `ComponentCallbacks`, `ComponentCallbacks2`, `KeyEvent.Callback`, `LayoutInflater.Factory`, `LayoutInflater.Factory2`, `View.OnCreateContextMenuListener`, `Window.Callback`, `androidx.activity.contextaware.ContextAware`, `androidx.activity.FullyDrawnReporterOwner`, `androidx.activity.OnBackPressedDispatcherOwner`, `androidx.activity.result.ActivityResultCaller`, `androidx.activity.result.ActivityResultRegistryOwner`, `androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback`, `androidx.core.app.ActivityCompat.RequestPermissionsRequestCodeValidator`, `androidx.core.app.OnMultiWindowModeChangedProvider`, `androidx.core.app.OnNewIntentProvider`, `androidx.core.app.OnPictureInPictureModeChangedProvider`, `androidx.core.content.OnConfigurationChangedProvider`, `androidx.core.content.OnTrimMemoryProvider`, `androidx.core.view.KeyEventDispatcher.Component`, `androidx.core.view.MenuHost`, `androidx.lifecycle.HasDefaultViewModelProviderFactory`, `androidx.lifecycle.LifecycleOwner`, `androidx.lifecycle.ViewModelStoreOwner`, `androidx.savedstate.SavedStateRegistryOwner`, `FlutterActivityDelegate.ViewFactory`, `PluginRegistry`, `FlutterView.Provider`

@Deprecated public class FlutterFragmentActivity extends androidx.fragment.app.FragmentActivity implements FlutterView.Provider, PluginRegistry, FlutterActivityDelegate.ViewFactory
Deprecated.
this class is replaced by `FlutterFragmentActivity`.
Deprecated class for activities that use Flutter who also require the use of the Android v4 Support library's `FragmentActivity`.

Applications that don't have this need will likely want to use `FlutterActivity` instead.

Important! Flutter does not bundle the necessary Android v4 Support library classes for this class to work at runtime. It is the responsibility of the app developer using this class to ensure that they link against the v4 support library .jar file when creating their app to ensure that `FragmentActivity` is available at runtime.

See Also:
  - https://developer.android.com/training/testing/set-up-project

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class androidx.core.app.ComponentActivity

  `androidx.core.app.ComponentActivity.ExtraData`

  ## Nested classes/interfaces inherited from class android.app.Activity

  `Activity.ScreenCaptureCallback`

  ## Nested classes/interfaces inherited from class android.content.Context

  `Context.BindServiceFlags`

  ## Nested classes/interfaces inherited from interface io.flutter.plugin.common.PluginRegistry

  `PluginRegistry.ActivityResultListener, PluginRegistry.NewIntentListener, PluginRegistry.PluginRegistrantCallback, PluginRegistry.Registrar, PluginRegistry.RequestPermissionsResultListener, PluginRegistry.UserLeaveHintListener, PluginRegistry.ViewDestroyListener, PluginRegistry.WindowFocusChangedListener`

- ## Field Summary

  ### Fields inherited from class android.app.Activity

  `DEFAULT_KEYS_DIALER, DEFAULT_KEYS_DISABLE, DEFAULT_KEYS_SEARCH_GLOBAL, DEFAULT_KEYS_SEARCH_LOCAL, DEFAULT_KEYS_SHORTCUT, FOCUSED_STATE_SET, FULLSCREEN_MODE_REQUEST_ENTER, FULLSCREEN_MODE_REQUEST_EXIT, OVERRIDE_TRANSITION_CLOSE, OVERRIDE_TRANSITION_OPEN, RESULT_CANCELED, RESULT_FIRST_USER, RESULT_OK`

  ### Fields inherited from class android.content.Context

  `ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APP_SEARCH_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_ACTIVITY_STARTS, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_EXTERNAL_SERVICE_LONG, BIND_IMPORTANT, BIND_INCLUDE_CAPABILITIES, BIND_NOT_FOREGROUND, BIND_NOT_PERCEPTIBLE, BIND_PACKAGE_ISOLATED_PROCESS, BIND_SHARED_ISOLATED_PROCESS, BIND_WAIVE_PRIORITY, BIOMETRIC_SERVICE, BLOB_STORE_SERVICE, BLUETOOTH_SERVICE, BUGREPORT_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_DIAGNOSTICS_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTACT_KEYS_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CREDENTIAL_SERVICE, CROSS_PROFILE_APPS_SERVICE, DEVICE_ID_DEFAULT, DEVICE_ID_INVALID, DEVICE_LOCK_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_HASH_SERVICE, DISPLAY_SERVICE, DOMAIN_VERIFICATION_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FILE_INTEGRITY_SERVICE, FINGERPRINT_SERVICE, GAME_SERVICE, GRAMMATICAL_INFLECTION_SERVICE, HARDWARE_PROPERTIES_SERVICE, HEALTHCONNECT_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCALE_SERVICE, LOCATION_SERVICE, MEDIA_COMMUNICATION_SERVICE, MEDIA_METRICS_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, OVERLAY_SERVICE, PEOPLE_SERVICE, PERFORMANCE_HINT_SERVICE, PERSISTENT_DATA_BLOCK_SERVICE, POWER_SERVICE, PRINT_SERVICE, PROFILING_SERVICE, RECEIVER_EXPORTED, RECEIVER_NOT_EXPORTED, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, ROLE_SERVICE, SEARCH_SERVICE, SECURITY_STATE_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STATUS_BAR_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_IMS_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, TV_INTERACTIVE_APP_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_MANAGER_SERVICE, VIBRATOR_SERVICE, VIRTUAL_DEVICE_SERVICE, VPN_MANAGEMENT_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE`

  ### Fields inherited from interface android.content.ComponentCallbacks2

  `TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FlutterFragmentActivity()`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FlutterNativeView`
  `createFlutterNativeView()`
  Deprecated.
  `FlutterView`
  `createFlutterView(Context context)`
  Deprecated.
  Hook for subclasses to customize the creation of the `FlutterView`.
  `FlutterView`
  `getFlutterView()`
  Deprecated.
  Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
  `final boolean`
  `hasPlugin(String key)`
  Deprecated.
  Returns whether the specified plugin is known to this registry.
  `protected void`
  `onActivityResult(int requestCode, int resultCode, Intent data)`
  Deprecated.
  `void`
  `onBackPressed()`
  Deprecated.
  `void`
  `onConfigurationChanged(Configuration newConfig)`
  Deprecated.
  `protected void`
  `onCreate(Bundle savedInstanceState)`
  Deprecated.
  `protected void`
  `onDestroy()`
  Deprecated.
  `void`
  `onLowMemory()`
  Deprecated.
  `protected void`
  `onNewIntent(Intent intent)`
  Deprecated.
  `protected void`
  `onPause()`
  Deprecated.
  `protected void`
  `onPostResume()`
  Deprecated.
  `void`
  `onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults)`
  Deprecated.
  `protected void`
  `onStart()`
  Deprecated.
  `protected void`
  `onStop()`
  Deprecated.
  `void`
  `onTrimMemory(int level)`
  Deprecated.
  `void`
  `onUserLeaveHint()`
  Deprecated.
  `void`
  `onWindowFocusChanged(boolean hasFocus)`
  Deprecated.
  `final PluginRegistry.Registrar`
  `registrarFor(String pluginKey)`
  Deprecated.
  Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
  `boolean`
  `retainFlutterNativeView()`
  Deprecated.
  Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
  `final <T> T`
  `valuePublishedByPlugin(String pluginKey)`
  Deprecated.
  Returns the value published by the specified plugin, if any.

  ### Methods inherited from class androidx.fragment.app.FragmentActivity

  `dump, getSupportFragmentManager, getSupportLoaderManager, onAttachFragment, onCreateView, onCreateView, onMenuItemSelected, onResume, onResumeFragments, onStateNotSaved, setEnterSharedElementCallback, setExitSharedElementCallback, startActivityFromFragment, startActivityFromFragment, startIntentSenderFromFragment, supportFinishAfterTransition, supportInvalidateOptionsMenu, supportPostponeEnterTransition, supportStartPostponedEnterTransition, validateRequestPermissionsRequestCode`

  ### Methods inherited from class androidx.activity.ComponentActivity

  `addContentView, addMenuProvider, addMenuProvider, addMenuProvider, addOnConfigurationChangedListener, addOnContextAvailableListener, addOnMultiWindowModeChangedListener, addOnNewIntentListener, addOnPictureInPictureModeChangedListener, addOnTrimMemoryListener, getActivityResultRegistry, getDefaultViewModelCreationExtras, getDefaultViewModelProviderFactory, getFullyDrawnReporter, getLastCustomNonConfigurationInstance, getLifecycle, getOnBackPressedDispatcher, getSavedStateRegistry, getViewModelStore, initializeViewTreeOwners, invalidateMenu, onCreatePanelMenu, onMultiWindowModeChanged, onMultiWindowModeChanged, onPanelClosed, onPictureInPictureModeChanged, onPictureInPictureModeChanged, onPreparePanel, onRetainCustomNonConfigurationInstance, onRetainNonConfigurationInstance, onSaveInstanceState, peekAvailableContext, registerForActivityResult, registerForActivityResult, removeMenuProvider, removeOnConfigurationChangedListener, removeOnContextAvailableListener, removeOnMultiWindowModeChangedListener, removeOnNewIntentListener, removeOnPictureInPictureModeChangedListener, removeOnTrimMemoryListener, reportFullyDrawn, setContentView, setContentView, setContentView, startActivityForResult, startActivityForResult, startIntentSenderForResult, startIntentSenderForResult`

  ### Methods inherited from class androidx.core.app.ComponentActivity

  `dispatchKeyEvent, dispatchKeyShortcutEvent, getExtraData, putExtraData, shouldDumpInternalState, superDispatchKeyEvent`

  ### Methods inherited from class android.app.Activity

  `attachBaseContext, clearOverrideActivityTransition, closeContextMenu, closeOptionsMenu, createPendingResult, dismissDialog, dismissKeyboardShortcutsHelper, dispatchGenericMotionEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, enterPictureInPictureMode, enterPictureInPictureMode, findViewById, finish, finishActivity, finishActivityFromChild, finishAffinity, finishAfterTransition, finishAndRemoveTask, finishFromChild, getActionBar, getApplication, getCaller, getCallingActivity, getCallingPackage, getChangingConfigurations, getComponentName, getContentScene, getContentTransitionManager, getCurrentCaller, getCurrentFocus, getFragmentManager, getInitialCaller, getIntent, getLastNonConfigurationInstance, getLaunchedFromPackage, getLaunchedFromUid, getLayoutInflater, getLoaderManager, getLocalClassName, getMaxNumPictureInPictureActions, getMediaController, getMenuInflater, getOnBackInvokedDispatcher, getParent, getParentActivityIntent, getPreferences, getReferrer, getRequestedOrientation, getSearchEvent, getSplashScreen, getSystemService, getTaskId, getTitle, getTitleColor, getVoiceInteractor, getVolumeControlStream, getWindow, getWindowManager, hasWindowFocus, invalidateOptionsMenu, isActivityTransitionRunning, isChangingConfigurations, isChild, isDestroyed, isFinishing, isImmersive, isInMultiWindowMode, isInPictureInPictureMode, isLaunchedFromBubble, isLocalVoiceInteractionSupported, isTaskRoot, isVoiceInteraction, isVoiceInteractionRoot, managedQuery, moveTaskToBack, navigateUpTo, navigateUpToFromChild, onActionModeFinished, onActionModeStarted, onActivityReenter, onActivityResult, onApplyThemeResource, onAttachedToWindow, onAttachFragment, onChildTitleChanged, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreate, onCreateContextMenu, onCreateDescription, onCreateDialog, onCreateDialog, onCreateNavigateUpTaskStack, onCreateOptionsMenu, onCreatePanelView, onCreateThumbnail, onDetachedFromWindow, onEnterAnimationComplete, onGenericMotionEvent, onGetDirectActions, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onLocalVoiceInteractionStarted, onLocalVoiceInteractionStopped, onMenuOpened, onNavigateUp, onNavigateUpFromChild, onNewIntent, onOptionsItemSelected, onOptionsMenuClosed, onPerformDirectAction, onPictureInPictureRequested, onPictureInPictureUiStateChanged, onPostCreate, onPostCreate, onPrepareDialog, onPrepareDialog, onPrepareNavigateUpTaskStack, onPrepareOptionsMenu, onProvideAssistContent, onProvideAssistData, onProvideKeyboardShortcuts, onProvideReferrer, onRequestPermissionsResult, onRestart, onRestoreInstanceState, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onTitleChanged, onTopResumedActivityChanged, onTouchEvent, onTrackballEvent, onUserInteraction, onVisibleBehindCanceled, onWindowAttributesChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, overrideActivityTransition, overrideActivityTransition, overridePendingTransition, overridePendingTransition, postponeEnterTransition, recreate, registerActivityLifecycleCallbacks, registerComponentCallbacks, registerForContextMenu, registerScreenCaptureCallback, releaseInstance, removeDialog, requestDragAndDropPermissions, requestFullscreenMode, requestPermissions, requestPermissions, requestShowKeyboardShortcuts, requestVisibleBehind, requestWindowFeature, requireViewById, runOnUiThread, setActionBar, setAllowCrossUidActivitySwitchFromBelow, setContentTransitionManager, setDefaultKeyMode, setEnterSharedElementCallback, setExitSharedElementCallback, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setFinishOnTouchOutside, setImmersive, setInheritShowWhenLocked, setIntent, setIntent, setLocusContext, setMediaController, setPictureInPictureParams, setProgress, setProgressBarIndeterminate, setProgressBarIndeterminateVisibility, setProgressBarVisibility, setRecentsScreenshotEnabled, setRequestedOrientation, setResult, setResult, setSecondaryProgress, setShouldDockBigOverlays, setShowWhenLocked, setTaskDescription, setTheme, setTitle, setTitle, setTitleColor, setTranslucent, setTurnScreenOn, setVisible, setVolumeControlStream, setVrModeEnabled, shouldDockBigOverlays, shouldShowRequestPermissionRationale, shouldShowRequestPermissionRationale, shouldUpRecreateTask, showAssist, showDialog, showDialog, showLockTaskEscapeMessage, startActionMode, startActionMode, startActivities, startActivities, startActivity, startActivity, startActivityFromChild, startActivityFromChild, startActivityFromFragment, startActivityFromFragment, startActivityIfNeeded, startActivityIfNeeded, startIntentSender, startIntentSender, startIntentSenderFromChild, startIntentSenderFromChild, startLocalVoiceInteraction, startLockTask, startManagingCursor, startNextMatchingActivity, startNextMatchingActivity, startPostponedEnterTransition, startSearch, stopLocalVoiceInteraction, stopLockTask, stopManagingCursor, takeKeyEvents, triggerSearch, unregisterActivityLifecycleCallbacks, unregisterComponentCallbacks, unregisterForContextMenu, unregisterScreenCaptureCallback`

  ### Methods inherited from class android.view.ContextThemeWrapper

  `applyOverrideConfiguration, getAssets, getResources, getTheme, setTheme`

  ### Methods inherited from class android.content.ContextWrapper

  `bindIsolatedService, bindService, bindService, bindService, bindService, bindServiceAsUser, bindServiceAsUser, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingOrSelfUriPermissions, checkCallingPermission, checkCallingUriPermission, checkCallingUriPermissions, checkContentUriPermissionFull, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, checkUriPermissions, clearWallpaper, createAttributionContext, createConfigurationContext, createContext, createContextForSplit, createDeviceContext, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, createWindowContext, createWindowContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAttributionSource, getAttributionTag, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDeviceId, getDir, getDisplay, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getParams, getSharedPreferences, getSystemServiceName, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, isUiContext, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerDeviceIdChangeListener, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeSelfPermissionsOnKill, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setWallpaper, setWallpaper, startForegroundService, startInstrumentation, startService, stopService, unbindService, unregisterDeviceIdChangeListener, unregisterReceiver, updateServiceGroup`

  ### Methods inherited from class android.content.Context

  `bindIsolatedService, getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, revokeSelfPermissionOnKill, sendBroadcastWithMultiplePermissions`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface android.view.Window.Callback

  `onPointerCaptureChanged`

- ## Constructor Details

  - ### FlutterFragmentActivity

    public FlutterFragmentActivity()
    Deprecated.

- ## Method Details

  - ### getFlutterView

    public FlutterView getFlutterView()
    Deprecated.
    Returns the Flutter view used by this activity; will be null before `onCreate(Bundle)` is called.
    Specified by:
      `getFlutterView` in interface `FlutterView.Provider`
    Returns:
      a reference to the Flutter view maintained by this object.

  - ### createFlutterView

    public FlutterView createFlutterView(Context context)
    Deprecated.
    Hook for subclasses to customize the creation of the `FlutterView`.

    The default implementation returns `null`, which will cause the activity to use a newly instantiated full-screen view.

    Specified by:
      `createFlutterView` in interface `FlutterActivityDelegate.ViewFactory`

  - ### createFlutterNativeView

    public FlutterNativeView createFlutterNativeView()
    Deprecated.
    Specified by:
      `createFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`

  - ### retainFlutterNativeView

    public boolean retainFlutterNativeView()
    Deprecated.
    Description copied from interface: `FlutterActivityDelegate.ViewFactory`
    Hook for subclasses to indicate that the `FlutterNativeView` returned by `FlutterActivityDelegate.ViewFactory.createFlutterNativeView()` should not be destroyed when this activity is destroyed.
    Specified by:
      `retainFlutterNativeView` in interface `FlutterActivityDelegate.ViewFactory`
    Returns:
      Whether the FlutterNativeView is retained.

  - ### hasPlugin

    public final boolean hasPlugin(String key)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns whether the specified plugin is known to this registry.
    Specified by:
      `hasPlugin` in interface `PluginRegistry`
    Parameters:
      `key` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      true if this registry has handed out a registrar for the specified plugin.

  - ### valuePublishedByPlugin

    public final <T> T valuePublishedByPlugin(String pluginKey)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns the value published by the specified plugin, if any.

    Plugins may publish a single value, such as an instance of the plugin's main class, for situations where external control or interaction is needed. Clients are expected to know the value's type.

    Specified by:
      `valuePublishedByPlugin` in interface `PluginRegistry`
    Type Parameters:
      `T` - The type of the value.
    Parameters:
      `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      the published value, possibly null.

  - ### registrarFor

    public final PluginRegistry.Registrar registrarFor(String pluginKey)
    Deprecated.
    Description copied from interface: `PluginRegistry`
    Returns a `PluginRegistry.Registrar` for receiving the registrations pertaining to the specified plugin.
    Specified by:
      `registrarFor` in interface `PluginRegistry`
    Parameters:
      `pluginKey` - a unique String identifying the plugin; typically the fully qualified name of the plugin's main class.
    Returns:
      A `PluginRegistry.Registrar` for receiving the registrations pertianing to the specified plugin.

  - ### onCreate

    protected void onCreate(Bundle savedInstanceState)
    Deprecated.
    Overrides:
      `onCreate` in class `androidx.fragment.app.FragmentActivity`

  - ### onDestroy

    protected void onDestroy()
    Deprecated.
    Overrides:
      `onDestroy` in class `androidx.fragment.app.FragmentActivity`

  - ### onBackPressed

    public void onBackPressed()
    Deprecated.
    Overrides:
      `onBackPressed` in class `androidx.activity.ComponentActivity`

  - ### onStart

    protected void onStart()
    Deprecated.
    Overrides:
      `onStart` in class `androidx.fragment.app.FragmentActivity`

  - ### onStop

    protected void onStop()
    Deprecated.
    Overrides:
      `onStop` in class `androidx.fragment.app.FragmentActivity`

  - ### onPause

    protected void onPause()
    Deprecated.
    Overrides:
      `onPause` in class `androidx.fragment.app.FragmentActivity`

  - ### onPostResume

    protected void onPostResume()
    Deprecated.
    Overrides:
      `onPostResume` in class `androidx.fragment.app.FragmentActivity`

  - ### onRequestPermissionsResult

    public void onRequestPermissionsResult(int requestCode, String[] permissions, int[] grantResults)
    Deprecated.
    Specified by:
      `onRequestPermissionsResult` in interface `androidx.core.app.ActivityCompat.OnRequestPermissionsResultCallback`
    Overrides:
      `onRequestPermissionsResult` in class `androidx.fragment.app.FragmentActivity`

  - ### onActivityResult

    protected void onActivityResult(int requestCode, int resultCode, Intent data)
    Deprecated.
    Overrides:
      `onActivityResult` in class `androidx.fragment.app.FragmentActivity`

  - ### onNewIntent

    protected void onNewIntent(Intent intent)
    Deprecated.
    Overrides:
      `onNewIntent` in class `androidx.activity.ComponentActivity`

  - ### onUserLeaveHint

    public void onUserLeaveHint()
    Deprecated.
    Overrides:
      `onUserLeaveHint` in class `Activity`

  - ### onWindowFocusChanged

    public void onWindowFocusChanged(boolean hasFocus)
    Deprecated.
    Specified by:
      `onWindowFocusChanged` in interface `Window.Callback`
    Overrides:
      `onWindowFocusChanged` in class `Activity`

  - ### onTrimMemory

    public void onTrimMemory(int level)
    Deprecated.
    Specified by:
      `onTrimMemory` in interface `ComponentCallbacks2`
    Overrides:
      `onTrimMemory` in class `androidx.activity.ComponentActivity`

  - ### onLowMemory

    public void onLowMemory()
    Deprecated.
    Specified by:
      `onLowMemory` in interface `ComponentCallbacks`
    Overrides:
      `onLowMemory` in class `Activity`

  - ### onConfigurationChanged

    public void onConfigurationChanged(Configuration newConfig)
    Deprecated.
    Specified by:
      `onConfigurationChanged` in interface `ComponentCallbacks`
    Overrides:
      `onConfigurationChanged` in class `androidx.activity.ComponentActivity`